Retrieve concurrent execution metrics
GET https://{controlplane_path}/api/1/rest/public/runtime/api-stats/{env_org}/concurrent
This API retrieves the metrics of concurrent pipeline executions at the specified time.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
env_org |
Required. The name of the SnapLogic environment/Org.
For example, My-Dev-Env |
Query parameters
| Key | Type | Description |
|---|---|---|
date_time |
string | The time in UTC format.
Default: The current time. Example: |
Request header
In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type.
For more details on accounts refer to Manage accounts.
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of Basic authentication using Postman
When using JWT authentication, the API requests includes specific headers. In the
request header, specify Bearer Token for authorization, add the token,
and specify application/json for content type. These headers are
automatically added when you configure bearer token authentication in your API client.
The authorization header contains the word Bearer followed by a
space and your JWT token.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authenthication using Postman
Request body
None.
Response
{
"response_map": {
"organization": "...",
"time_stamp": "...",
"concurrent_call_in_progress": ...,
"tasks": [
{
"task_id": "...",
"task_name": "...",
"task_path": "...",
"task_owner": "...",
"api_count": ...
}
]
},
"http_status_code": 200
}
| Key | Type | Description |
|---|---|---|
organization |
string | The name of the SnapLogic Environment/Org. |
time_stamp |
string | The timestamp when the statistics were collected.
Format: UTC |
concurrent_call_in_progress |
integer | The number of pipeline executions that are concurrently in progress. |
tasks |
array | An array of objects containing metadata about each task. |